point_types.h File Reference
Module common
`#include <bitset>`
`#include <pcl/impl/point_types.hpp>`

Go to the source code of this file.

## Detailed Description

Defines all the PCL implemented PointT point type structures.

Definition in file point_types.h.

## Namespaces

| pcl

## Typedefs

using | pcl::BorderTraits = std::bitset< 32 >
| Data type to store extended information about a transition from foreground to backgroundSpecification of the fields for BorderDescription::traits. More...

## Enumerations

enum

pcl::BorderTrait {
pcl::BORDER_TRAIT__OBSTACLE_BORDER , pcl::BORDER_TRAIT__SHADOW_BORDER , pcl::BORDER_TRAIT__VEIL_POINT , pcl::BORDER_TRAIT__SHADOW_BORDER_TOP ,
pcl::BORDER_TRAIT__SHADOW_BORDER_RIGHT , pcl::BORDER_TRAIT__SHADOW_BORDER_BOTTOM , pcl::BORDER_TRAIT__SHADOW_BORDER_LEFT , pcl::BORDER_TRAIT__OBSTACLE_BORDER_TOP ,
pcl::BORDER_TRAIT__OBSTACLE_BORDER_RIGHT , pcl::BORDER_TRAIT__OBSTACLE_BORDER_BOTTOM , pcl::BORDER_TRAIT__OBSTACLE_BORDER_LEFT , pcl::BORDER_TRAIT__VEIL_POINT_TOP ,
pcl::BORDER_TRAIT__VEIL_POINT_RIGHT , pcl::BORDER_TRAIT__VEIL_POINT_BOTTOM , pcl::BORDER_TRAIT__VEIL_POINT_LEFT
}

| Specification of the fields for BorderDescription::traits. More...